#!/bin/sh

usage() { 
   echo "Usage:  $0 WAS_ROOT UPDI_DIR"
   echo "   where:"
   echo "     WAS_ROOT = Root directory of the WAS install."
   echo "     UPDI_DIR = Directory where the update installer was installed."
   echo "                (the default location is /opt/IBM/WebSphere/UpdateInstaller)"
   exit 1
}

if [ -z "$1" ]; then
   usage
fi

if [ -z "$2" ]; then
   usage
fi


UPDI=$2
WASROOT=$1
SCRIPTDIR=`dirname $0`
SCRIPTDIR=`cd $SCRIPTDIR;pwd`
FAILED="no"

if [ -d "$UPDI" ]; then
   for f in ifixes/*.pak; do 
      name=`echo $f | sed -e "s/^.*\(IF[a-zA-Z0-9]*\).*$/\1/g"`
      log=logs/$name.log
      echo "Applying $name..."
      $UPDI/update.sh -silent -W maintenance.package="$SCRIPTDIR/$f" -W product.location="$WASROOT" > $log 2>&1
      if [ "$?" = "0" ]; then
         echo "   done."
      else
         FAILED="yes"
         file=`basename $f`
         logdirname=`echo $file | sed -e "s/\.pak/.install/g"`
         echo "   FAILED."
         echo "   See $WASROOT/logs/update/$logdirname/updatelog.txt for failure details."
      fi
      echo
   done
   echo
   if [ "$FAILED" = "yes" ]; then
      echo "Some installs did not complete successfully."
   else
      echo "All ifixes applied successfully."
   fi
else
   echo "$UPDI is not a directory."
fi

